Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 8265 - segmentation fault choosing backup module from menu
Summary: segmentation fault choosing backup module from menu
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: taper
Version: 6.1
Hardware: alpha
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-07 15:05 UTC by iain.grant
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-14 03:21:21 UTC


Attachments (Terms of Use)

Description iain.grant 2000-01-07 15:05:04 UTC
I have installed RedHat 6.1 on two Alpha platforms and one Intel platform.
All platforms ( Intel included ) showed a segmentation fault when I chose
the Backup Module option.

I have pulled over all the patches for 6.1 for both Intel and Alpha.( from
ftp://sunsite.doc.ic.ac.uk:21/pub/Mirrors/updates.redhat.com/6.1/ )

After I update the Intel system and rebooted, Taper worked fine ( Backup
and restpre modules worked correctly). Unfortunately when I updated the
Alpha systems taper still caused a segmentation failure.


Below is a screen capture
                       Archive ID 947255731. Title 'test'
***************************************************************************
*****
*
*
*
*
*                                 Backup Module
*
*
*
*                   ***************************************
*
*              ************************************************
*
*              *                                              *
*
*              *    Success while uncompressing info files    *
*
*              *                                              *
*
*              *                                              *
*
*              *                     OKSegmentation fault     *
*
[root@jambos Iain]# *******************************************
*
*                   *                                     *
*
*                   ***************************************
*
*                               Save preferences
*
*
*
*                                     Exit
*
*
*
*
*
*
*
***************************************************************************
*****
                 Taper 6.9a by Yusuf Nagree (yusuf@omen.net.au)


the message log held in /var/log shows

Jan  7 14:45:58 jambos kernel: Unable to handle kernel paging request at
virtual
 address 0000000000000000
Jan  7 14:45:58 jambos kernel: taper(648): Oops 0
Jan  7 14:45:58 jambos kernel: pc = [__copy_user+288/468]  ra =
[ext2_file_write
+1852/2208]  ps = 0000
Jan  7 14:45:58 jambos kernel: v0 = 0000000000000004  t0 = 0000000000000000
t1
= 0000000000000000
Jan  7 14:45:58 jambos kernel: t2 = 0000000000000000  t3 = 0000000000000000
t4
= 000000001c10b640
Jan  7 14:45:58 jambos kernel: t5 = fffffc000d0e7000  t6 = 0000000000000000
t7
= fffffc000cf20000
Jan  7 14:45:58 jambos kernel: s0 = fffffc000df7bd20  s1 = ffffffffffffffea
s2
= 0000000000000004
Jan  7 14:45:58 jambos kernel: s3 = 0000000000000000  s4 = 0000000000000004
s5
= fffffc000d1cabe0
Jan  7 14:45:58 jambos kernel: s6 = 0000000000000000  a0 = 0000000000000803
a1
= 00000000007042d9
Jan  7 14:45:58 jambos kernel: a2 = 0000000000000400  a3 = 0000000000000000
a4
= fffffc000cf23e98
Jan  7 14:45:58 jambos kernel: a5 = 0000000000000001  t8 = fffffc0000584d80
t9
= 0000000000000000
Jan  7 14:45:58 jambos kernel: t10= fffffc000d1cac78  t11= 000000000000000a
pv
= fffffc00004a7ae0
Jan  7 14:45:58 jambos kernel: at = fffffc00003700a8  gp = fffffc000058b650
sp
= fffffc000cf23d58
Jan  7 14:45:58 jambos kernel: Code:
Jan  7 14:45:58 jambos kernel:  b4260000  stq t0,0(t5)
Jan  7 14:45:58 jambos kernel:  40e11407  addq t6,8,t6
Jan  7 14:45:58 jambos kernel:  40011520  subq v0,8,v0
Jan  7 14:45:58 jambos kernel:  40c11406  addq t5,8,t5
Jan  7 14:45:58 jambos kernel:  f49ffff9  bge t3,.-24
Jan  7 14:45:58 jambos kernel:  e4000007  blt v0,.+32
Jan  7 14:45:59 jambos kernel: *a4470000  ldq t1,0(t6)
Jan  7 14:45:59 jambos kernel:  a4260000  ldq t0,0(t5)
Jan  7 14:45:59 jambos kernel: Trace: 34a21c 42f9d4 354924 354c08 4a8224
4a9fc0
36fb80 310cf8

Comment 1 Preston Brown 2000-01-14 03:21:59 UTC
we cannot duplicate this bug in our labs.  It is possible that you have faulty
hardware -- a kernel oops certainly points towards memory bit rot.


Note You need to log in before you can comment on or make changes to this bug.